Subject: Re: bug#69915: 30.0.50; mouse-autoselect-window has no effect in terminal

From: Eli Zaretskii <[email-masked]>
Date: Tue, 26 Mar 2024 14:31:03 +0200

> Date: Mon, 25 Mar 2024 14:53:15 -0700
> From: Jared Finder <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> On 2024-03-24 12:27, Olaf Rogalsky wrote:
> > Hi Jared,
> > 
> > thanks for your feedback (answering this from my gmail account and
> > hope this doesn't mess up the debbugs history).
> > 
> >> Are you certain you need the change to window.el as well? I'd be very
> >> surprised if it is necessary to change
> > ...
> >> Is your setup is different somehow?
> > No, but I forgot to mention, that the "nil <select-window> is 
> > undefined" error
> > only occurred, iff mouse-autoselect-window had a numeric value.
> > With my new patch, the error disappeared. I don't know why, but a
> > change to window.el
> > isn't necessary anymore. I still think, that the proposed change would
> > be correct.
> 
> I'll defer to Eli here, but my general sentiment would be to leave 
> window.el untouched unless a change is needed.  The event list returned 
> was last changed in 2006 so it's reasonably stable.

I agree.

Olaf, if leaving window.el unchanged causes these errors, please show
a recipe for reproducing it, and let's try to investigate why it
happens, before we decide how to fix it.